{% extends 'public/base.html' %}


{% block head %}
  {{super()}}

  {{ moment.include_jquery() }}
  {{ moment.include_moment() }}
{% endblock %}


{% block page_content %}
  <div class="container pedro-home-page">


    <div class="row pedro-home-page online-stations">
      <div class="col-md">
        <h1>Controlling</h1>
        {% if nobody %}nobody..{% endif %}
        <table class="table">
          <tbody>
            {% for station in online_stations %}
              <tr>
                <td>{{ station.controller_name }}</td>
                <td>{{ station.station_name }}</td>
                <td>{{ station.frequencia }}</td>
                <td>for {{ moment(station.time_online).toNow(no_suffix=True) }}</td>
              </tr>
            {% endfor %}
          </tbody>
        </table>
      </div>


      <div class="col-md">
        <h1>Talking</h1>
        <div id="ts3viewer_1053934"  style="width:100%; height:100%; "> </div>

        <script src="https://static.tsviewer.com/short_expire/js/ts3viewer_loader.js"></script>
        <script>
            var ts_url = '{{ ts_viewer_url }}';
            let interval = 5 * 60 * 100; // 5 minutes
            let refresh = () => ts3v_display.refresh(1053934);
            ts3v_display.init(ts_url, 1053934, 100);
            setInterval(refresh, interval);
        </script>
      </div>
    </div>


  </div>
{% endblock %}

